<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Accesslog
 */
class Accesslog extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * alNumber
     *
     * @var int
     */
    protected $alNumber = 0;
    
    /**
     * tstamp
     *
     * @var int
     */
    protected $tstamp = 0;
    
    /**
     * remoteAddr
     *
     * @var string
     */
    protected $remoteAddr = '';
    
    /**
     * alServiceUid
     *
     * @var \Wrm\Civserv2\Domain\Model\Service
     */
    protected $alServiceUid = null;
    
    /**
     * Returns the alNumber
     *
     * @return int $alNumber
     */
    public function getAlNumber()
    {
        return $this->alNumber;
    }
    
    /**
     * Sets the alNumber
     *
     * @param int $alNumber
     * @return void
     */
    public function setAlNumber($alNumber)
    {
        $this->alNumber = $alNumber;
    }
    
    /**
     * Returns the tstamp
     *
     * @return int $tstamp
     */
    public function getTstamp()
    {
        return $this->tstamp;
    }
    
    /**
     * Returns the remoteAddr
     *
     * @return string $remoteAddr
     */
    public function getRemoteAddr()
    {
        return $this->remoteAddr;
    }
    
    /**
     * Sets the remoteAddr
     *
     * @param string $remoteAddr
     * @return void
     */
    public function setRemoteAddr($remoteAddr)
    {
        $this->remoteAddr = $remoteAddr;
    }
    
    /**
     * Returns the alServiceUid
     *
     * @return \Wrm\Civserv2\Domain\Model\Service $alServiceUid
     */
    public function getAlServiceUid()
    {
        return $this->alServiceUid;
    }
    
    /**
     * Sets the alServiceUid
     *
     * @param \Wrm\Civserv2\Domain\Model\Service $alServiceUid
     * @return void
     */
    public function setAlServiceUid(\Wrm\Civserv2\Domain\Model\Service $alServiceUid)
    {
        $this->alServiceUid = $alServiceUid;
    }

}