<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Configuration
 */
class Configuration extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * cfModule
     *
     * @var string
     */
    protected $cfModule = '';
    
    /**
     * cfKey
     *
     * @var string
     */
    protected $cfKey = '';
    
    /**
     * cfValue
     *
     * @var string
     */
    protected $cfValue = '';
    
    /**
     * Returns the cfModule
     *
     * @return string $cfModule
     */
    public function getCfModule()
    {
        return $this->cfModule;
    }
    
    /**
     * Sets the cfModule
     *
     * @param string $cfModule
     * @return void
     */
    public function setCfModule($cfModule)
    {
        $this->cfModule = $cfModule;
    }
    
    /**
     * Returns the cfKey
     *
     * @return string $cfKey
     */
    public function getCfKey()
    {
        return $this->cfKey;
    }
    
    /**
     * Sets the cfKey
     *
     * @param string $cfKey
     * @return void
     */
    public function setCfKey($cfKey)
    {
        $this->cfKey = $cfKey;
    }
    
    /**
     * Returns the cfValue
     *
     * @return string $cfValue
     */
    public function getCfValue()
    {
        return $this->cfValue;
    }
    
    /**
     * Sets the cfValue
     *
     * @param string $cfValue
     * @return void
     */
    public function setCfValue($cfValue)
    {
        $this->cfValue = $cfValue;
    }

}