<?php

return array(
    'ctrl' => array(
        'title' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building',
        'label' => 'bl_name',
        'label_alt' => 'bl_descr',
        'label_alt_force' => TRUE,
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,
        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'default_sortby' => 'bl_name',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'bl_number,bl_name,bl_name_to_show,bl_descr,bl_mail_street,bl_mail_pob,bl_mail_postcode,bl_mail_city,bl_building_street,bl_building_postcode,bl_building_city,bl_pubtrans_stop,bl_pubtrans_url,bl_citymap_url,bl_image,bl_telephone,bl_fax,bl_email,bl_floor,',
        'iconfile' => 'EXT:civserv2/Resources/Public/Icons/tx_civserv2_domain_model_building.gif'
    ),
    'interface' => array(
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, bl_number, bl_name, bl_name_to_show, bl_descr, bl_mail_street, bl_mail_pob, bl_mail_postcode, bl_mail_city, bl_building_street, bl_building_postcode, bl_building_city, bl_pubtrans_stop, bl_pubtrans_url, bl_citymap_url, bl_image, bl_telephone, bl_fax, bl_email, bl_floor',
    ),
    'types' => array(
        '1' => array('showitem' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, --palette--;;1, bl_number, bl_name, bl_name_to_show, bl_descr, bl_mail_street, bl_mail_pob, bl_mail_postcode, bl_mail_city, bl_building_street, bl_building_postcode, bl_building_city, bl_pubtrans_stop, bl_pubtrans_url, bl_citymap_url, bl_image, bl_telephone, bl_fax, bl_email, bl_floor, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, starttime, endtime'),
    ),
    'palettes' => array(
        '1' => array('showitem' => ''),
    ),
    'columns' => array(
        'sys_language_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => array(
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
                ),
            ),
        ),
        'l10n_parent' => array(
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_civserv2_domain_model_building',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_building.pid=###CURRENT_PID### AND tx_civserv2_domain_model_building.sys_language_uid IN (-1,0)',
            ),
        ),
        'l10n_diffsource' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        't3ver_label' => array(
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            )
        ),
        'hidden' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'starttime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'endtime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'bl_number' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_number',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_name' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_name',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_name_to_show' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_name_to_show',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_descr' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_descr',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_mail_street' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_mail_street',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_mail_pob' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_mail_pob',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_mail_postcode' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_mail_postcode',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_mail_city' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_mail_city',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_building_street' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_building_street',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_building_postcode' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_building_postcode',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_building_city' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_building_city',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_pubtrans_stop' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_pubtrans_stop',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_pubtrans_url' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_pubtrans_url',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_citymap_url' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_citymap_url',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_image' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_image',
            'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
                    'bl_image', array(
                'appearance' => array(
                    'createNewRelationLinkTitle' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:images.addFileReference'
                ),
                'foreign_types' => array(
                    '0' => array(
                        'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
                    ),
                    \TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => array(
                        'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
                    )
                ),
                'maxitems' => 1
                    ), $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
            ),
        ),
        'bl_telephone' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_telephone',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_fax' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_fax',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_email' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_email',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'bl_floor' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_building.bl_floor',
            'config' => array(
                'type' => 'inline',
                'foreign_table' => 'tx_civserv2_domain_model_floor',
                'foreign_field' => 'building',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_floor.pid=###CURRENT_PID### ORDER BY fl_number ASC',
                'maxitems' => 9999,
                'appearance' => array(
                    'collapseAll' => 0,
                    'levelLinksPosition' => 'top',
                    'showSynchronizationLink' => 1,
                    'showPossibleLocalizationRecords' => 1,
                    'showAllLocalizationLink' => 1
                ),
            ),
        ),
    ),
);
