<?php

return array(
    'ctrl' => array(
        'title' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant',
        'label' => 'cm_community_name',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,
        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'cm_community_name,cm_community_id,cm_community_type,', //cm_community_name,cm_community_id,cm_uid,cm_circumstance_uid,cm_usergroup_uid,cm_organisation_uid,cm_service_folder_uid,cm_external_service_folder_uid,cm_alternative_language_folder_uid,cm_model_service_temp_uid,cm_building_folder_uid,cm_page_uid,cm_search_uid,cm_alternative_page_uid,cm_info_folder_uid,cm_target_email,cm_employee_search,cm_page_subtitle_contains_organisation_uid,cm_community_type,',
        'iconfile' => 'EXT:civserv2/Resources/Public/Icons/tx_civserv2_domain_model_confmandant.gif'
    ),
    'interface' => array(
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, cm_community_name, cm_community_id,cm_community_type', //sys_language_uid, l10n_parent, l10n_diffsource, hidden, cm_community_name, cm_community_id, cm_uid, cm_circumstance_uid, cm_usergroup_uid, cm_organisation_uid, cm_service_folder_uid, cm_external_service_folder_uid, cm_alternative_language_folder_uid, cm_model_service_temp_uid, cm_building_folder_uid, cm_page_uid, cm_search_uid, cm_alternative_page_uid, cm_info_folder_uid, cm_target_email, cm_employee_search, cm_page_subtitle_contains_organisation_uid, cm_community_type',
    ),
    'types' => array(
        '1' => array('showitem' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, --palette--;;1, cm_community_name, cm_community_id,cm_community_type'), //'sys_language_uid, l10n_parent, l10n_diffsource, hidden, --palette--;;1, cm_community_name, cm_community_id, cm_uid, cm_circumstance_uid, cm_usergroup_uid, cm_organisation_uid, cm_service_folder_uid, cm_external_service_folder_uid, cm_alternative_language_folder_uid, cm_model_service_temp_uid, cm_building_folder_uid, cm_page_uid, cm_search_uid, cm_alternative_page_uid, cm_info_folder_uid, cm_target_email, cm_employee_search, cm_page_subtitle_contains_organisation_uid, cm_community_type, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, starttime, endtime'),
    ),
    'palettes' => array(
        '1' => array('showitem' => ''),
    ),
    'columns' => array(
        'sys_language_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => array(
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
                ),
            ),
        ),
        'l10n_parent' => array(
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_civserv2_domain_model_confmandant',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_confmandant.pid=###CURRENT_PID### AND tx_civserv2_domain_model_confmandant.sys_language_uid IN (-1,0)',
            ),
        ),
        'l10n_diffsource' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        't3ver_label' => array(
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            )
        ),
        'hidden' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'starttime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'endtime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'cm_community_name' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_community_name',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'cm_community_id' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_community_id',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_circumstance_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_circumstance_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_usergroup_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_usergroup_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_organisation_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_organisation_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_service_folder_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_service_folder_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_external_service_folder_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_external_service_folder_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_alternative_language_folder_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_alternative_language_folder_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_model_service_temp_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_model_service_temp_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_building_folder_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_building_folder_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_page_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_page_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_search_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_search_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_alternative_page_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_alternative_page_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_info_folder_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_info_folder_uid',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'cm_target_email' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_target_email',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'cm_employee_search' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_employee_search',
            'config' => array(
                'type' => 'check',
                'default' => 0
            )
        ),
        'cm_page_subtitle_contains_organisation_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_page_subtitle_contains_organisation_uid',
            'config' => array(
                'type' => 'check',
                'default' => 0
            )
        ),
        'cm_community_type' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_confmandant.cm_community_type',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'foreign_table' => 'tx_civserv2_domain_model_region',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_region.pid=###CURRENT_PID### ORDER BY re_name ASC',
                'MM' => 'tx_civserv2_confmandant_region_mm',
                'size' => 10,
                'autoSizeMax' => 30,
                'maxitems' => 9999,
                'multiple' => 0,
                'wizards' => array(
                    '_PADDING' => 1,
                    '_VERTICAL' => 1,
                    'edit' => array(
                        'module' => array(
                            'name' => 'wizard_edit',
                        ),
                        'type' => 'popup',
                        'title' => 'Edit',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_edit.gif',
                        'popup_onlyOpenIfSelected' => 1,
                        'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
                    ),
                    'add' => Array(
                        'module' => array(
                            'name' => 'wizard_add',
                        ),
                        'type' => 'script',
                        'title' => 'Create new',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_add.gif',
                        'params' => array(
                            'table' => 'tx_civserv2_domain_model_region',
                            'pid' => '###CURRENT_PID###',
                            'setValue' => 'prepend'
                        ),
                    ),
                ),
            ),
        ),
    ),
);
