<?php

return array(
    'ctrl' => array(
        'title' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service',
        'label' => 'sv_name',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,
        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'default_sortby' => 'sv_name',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'uid, sv_name,sv_type,sv_synonym1,sv_synonym2,sv_synonym3,sv3rdparty_checkbox,sv3rdparty_link,sv3rdparty_name,sv_descr_short,sv_descr_long,sv_image,sv_image_text,sv_fees,sv_documents,sv_legal_local,sv_legal_global,sv_model_service,sv_similar_services,sv_form,sv_searchword,sv_position,sv_organisation,sv_navigation,sv_region,',
        'iconfile' => 'EXT:civserv2/Resources/Public/Icons/tx_civserv2_domain_model_service.gif'
    ),
    'interface' => array(
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, sv_name, sv_type, sv_synonym1, sv_synonym2, sv_synonym3, sv3rdparty_checkbox, sv3rdparty_link, sv3rdparty_name, sv_descr_short, sv_descr_long, sv_image, sv_image_text, sv_fees, sv_documents, sv_legal_local, sv_legal_global, sv_model_service, sv_similar_services, sv_form, sv_searchword, sv_position, sv_organisation, sv_navigation, sv_region',
    ),
    'types' => array(
        '1' => array('showitem' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, --palette--;;1, sv_name, sv_type, sv_synonym1, sv_synonym2, sv_synonym3, sv3rdparty_checkbox, sv3rdparty_link, sv3rdparty_name, sv_descr_short, sv_descr_long, sv_image, sv_image_text, sv_fees, sv_documents, sv_legal_local, sv_legal_global, sv_model_service, sv_similar_services, sv_form, sv_searchword, sv_position, sv_organisation, sv_navigation, sv_region, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, starttime, endtime'),
    ),
    'palettes' => array(
        '1' => array('showitem' => ''),
    ),
    'columns' => array(
        'sys_language_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => array(
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
                ),
            ),
        ),
        'l10n_parent' => array(
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_civserv2_domain_model_service',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_service.pid=###CURRENT_PID### AND tx_civserv2_domain_model_service.sys_language_uid IN (-1,0)',
            ),
        ),
        'l10n_diffsource' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        't3ver_label' => array(
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            )
        ),
        'hidden' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'starttime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'endtime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'uid' => array(
            'label' => 'UID',
            'config' => array(
                'type' => 'input',
                'size' => 4,
                'eval' => 'int'
            )
        ),
        'sv_name' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_name',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'sv_type' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_type',
            'config' => array(
                'type' => 'check',
                'default' => 0
            )
        ),
        'sv_synonym1' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_synonym1',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'sv_synonym2' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_synonym2',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'sv_synonym3' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_synonym3',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'sv3rdparty_checkbox' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv3rdparty_checkbox',
            'config' => array(
                'type' => 'check',
                'default' => 0
            )
        ),
        'sv3rdparty_link' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv3rdparty_link',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'sv3rdparty_name' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv3rdparty_name',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'sv_descr_short' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_descr_short',
            'config' => array(
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ),
            'defaultExtras' => 'richtext[]'
        ),
        'sv_descr_long' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_descr_long',
            'config' => array(
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ),
            'defaultExtras' => 'richtext[]'
        ),
        'sv_image' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_image',
            'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
                    'sv_image', array(
                'appearance' => array(
                    'createNewRelationLinkTitle' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:images.addFileReference',
                    'enableControls' => array(
                        'new' => TRUE
                    )
                ),
                'foreign_types' => array(
                    '0' => array(
                        'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
                    ),
                    \TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => array(
                        'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
                    )
                ),
                'maxitems' => 1
                    ), $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
            ),
        ),
        'sv_image_text' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_image_text',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'sv_fees' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_fees',
            'config' => array(
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim',
            ),
            'defaultExtras' => 'richtext[]'
        ),
        'sv_documents' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_documents',
            'config' => array(
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ),
            'defaultExtras' => 'richtext[]'
        ),
        'sv_legal_local' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_legal_local',
            'config' => array(
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ),
            'defaultExtras' => 'richtext[]'
        ),
        'sv_legal_global' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_legal_global',
            'config' => array(
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ),
            'defaultExtras' => 'richtext[]'
        ),
        'sv_model_service' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_model_service',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('', 0)
                ),
                'foreign_table' => 'tx_civserv2_domain_model_modelservice',
                'foreign_table_where' => 'ORDER BY ms_name ASC',
                'minitems' => 0,
                'maxitems' => 1,
            ),
        ),
        'sv_similar_services' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_similar_services',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'foreign_table' => 'tx_civserv2_domain_model_service',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_service.pid=###CURRENT_PID### ORDER BY sv_name ASC',
                'MM' => 'tx_civserv2_service_service_mm',
                'size' => 10,
                'autoSizeMax' => 30,
                'maxitems' => 9999,
                'multiple' => 0,
                'wizards' => array(
                    '_PADDING' => 1,
                    '_VERTICAL' => 1,
                    'edit' => array(
                        'module' => array(
                            'name' => 'wizard_edit',
                        ),
                        'type' => 'popup',
                        'title' => 'Edit',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_edit.gif',
                        'popup_onlyOpenIfSelected' => 1,
                        'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
                    ),
                    'add' => Array(
                        'module' => array(
                            'name' => 'wizard_add',
                        ),
                        'type' => 'script',
                        'title' => 'Create new',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_add.gif',
                        'params' => array(
                            'table' => 'tx_civserv2_domain_model_service',
                            'pid' => '###CURRENT_PID###',
                            'setValue' => 'prepend'
                        ),
                    ),
                ),
            ),
        ),
        'sv_form' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_form',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'foreign_table' => 'tx_civserv2_domain_model_form',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_form.pid=###CURRENT_PID### ORDER BY fo_name ASC',
                'MM' => 'tx_civserv2_service_form_mm',
                'size' => 10,
                'autoSizeMax' => 30,
                'maxitems' => 9999,
                'multiple' => 0,
                'wizards' => array(
                    '_PADDING' => 1,
                    '_VERTICAL' => 1,
                    'edit' => array(
                        'module' => array(
                            'name' => 'wizard_edit',
                        ),
                        'type' => 'popup',
                        'title' => 'Edit',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_edit.gif',
                        'popup_onlyOpenIfSelected' => 1,
                        'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
                    ),
                    'add' => Array(
                        'module' => array(
                            'name' => 'wizard_add',
                        ),
                        'type' => 'script',
                        'title' => 'Create new',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_add.gif',
                        'params' => array(
                            'table' => 'tx_civserv2_domain_model_form',
                            'pid' => '###CURRENT_PID###',
                            'setValue' => 'prepend'
                        ),
                    ),
                ),
            ),
        ),
        'sv_searchword' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_searchword',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'foreign_table' => 'tx_civserv2_domain_model_searchword',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_searchword.pid=###CURRENT_PID### ORDER BY sw_search_word ASC',
                'MM' => 'tx_civserv2_service_searchword_mm',
                'size' => 10,
                'autoSizeMax' => 30,
                'maxitems' => 9999,
                'multiple' => 0,
                'wizards' => array(
                    '_PADDING' => 1,
                    '_VERTICAL' => 1,
                    'edit' => array(
                        'module' => array(
                            'name' => 'wizard_edit',
                        ),
                        'type' => 'popup',
                        'title' => 'Edit',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_edit.gif',
                        'popup_onlyOpenIfSelected' => 1,
                        'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
                    ),
                    'add' => Array(
                        'module' => array(
                            'name' => 'wizard_add',
                        ),
                        'type' => 'script',
                        'title' => 'Create new',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_add.gif',
                        'params' => array(
                            'table' => 'tx_civserv2_domain_model_searchword',
                            'pid' => '###CURRENT_PID###',
                            'setValue' => 'prepend'
                        ),
                    ),
                ),
            ),
        ),
        'sv_position' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_position',
            'config' => array(
                'type' => 'inline',
                'foreign_table' => 'tx_civserv2_domain_model_serviceposition',
                'foreign_field' => 'service',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_serviceposition.pid=###CURRENT_PID### ORDER BY sp_label ASC',
                'maxitems' => 9999,
                'appearance' => array(
                    'collapseAll' => 0,
                    'levelLinksPosition' => 'top',
                    'showSynchronizationLink' => 1,
                    'showPossibleLocalizationRecords' => 1,
                    'showAllLocalizationLink' => 1
                ),
            ),
        ),
        'sv_organisation' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_organisation',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'foreign_table' => 'tx_civserv2_domain_model_organisation',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_organisation.pid=###CURRENT_PID### ORDER BY or_name ASC',
                'MM' => 'tx_civserv2_service_organisation_mm',
                'size' => 10,
                'autoSizeMax' => 30,
                'maxitems' => 99,
                'multiple' => 0,
                'wizards' => array(
                    '_PADDING' => 1,
                    '_VERTICAL' => 1,
                    'suggest' => array(
                        'type' => 'suggest'
                    ),
                    'add' => Array(
                        'module' => array(
                            'name' => 'wizard_add',
                        ),
                        'type' => 'script',
                        'title' => 'Create new',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_add.gif',
                        'params' => array(
                            'table' => 'tx_civserv2_domain_model_organisation',
                            'pid' => '###CURRENT_PID###',
                            'setValue' => 'prepend'
                        ),
                    ),
                ),
            ),
        ),
        'sv_navigation' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_navigation',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'foreign_table' => 'tx_civserv2_domain_model_navigation',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_navigation.pid=###CURRENT_PID### ORDER BY nv_name ASC',
                'MM' => 'tx_civserv2_service_navigation_mm',
                'size' => 10,
                'autoSizeMax' => 30,
                'maxitems' => 9999,
                'multiple' => 0,
                'wizards' => array(
                    '_PADDING' => 1,
                    '_VERTICAL' => 1,
                    'edit' => array(
                        'module' => array(
                            'name' => 'wizard_edit',
                        ),
                        'type' => 'popup',
                        'title' => 'Edit',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_edit.gif',
                        'popup_onlyOpenIfSelected' => 1,
                        'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
                    ),
                    'add' => Array(
                        'module' => array(
                            'name' => 'wizard_add',
                        ),
                        'type' => 'script',
                        'title' => 'Create new',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_add.gif',
                        'params' => array(
                            'table' => 'tx_civserv2_domain_model_navigation',
                            'pid' => '###CURRENT_PID###',
                            'setValue' => 'prepend'
                        ),
                    ),
                ),
            ),
        ),
        'sv_region' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_service.sv_region',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'foreign_table' => 'tx_civserv2_domain_model_region',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_region.pid=###CURRENT_PID### ORDER BY re_name ASC',
                'MM' => 'tx_civserv2_service_region_mm',
                'size' => 10,
                'autoSizeMax' => 30,
                'minitems' => 1,
                'maxitems' => 99,
                'multiple' => 0,
                'wizards' => array(
                    '_PADDING' => 1,
                    '_VERTICAL' => 1,
                    'edit' => array(
                        'module' => array(
                            'name' => 'wizard_edit',
                        ),
                        'type' => 'popup',
                        'title' => 'Edit',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_edit.gif',
                        'popup_onlyOpenIfSelected' => 1,
                        'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
                    ),
                    'add' => Array(
                        'module' => array(
                            'name' => 'wizard_add',
                        ),
                        'type' => 'script',
                        'title' => 'Create new',
                        'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_add.gif',
                        'params' => array(
                            'table' => 'tx_civserv2_domain_model_region',
                            'pid' => '###CURRENT_PID###',
                            'setValue' => 'prepend'
                        ),
                    ),
                ),
            ),
        ),
        'externalservice' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
    ),
);
