<?php
if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'Wrm.' . $_EXTKEY,
	'Pi1',
	array(
                'Portal' => 'index',
		'Service' => 'list, show, toplist',
		'Building' => 'list, show',
		'Region' => 'list, show',
		'Employee' => 'list, show',
		'OfficeHours' => 'list, show',
		'Position' => 'list, show',
		'Organisation' => 'list, show',
		'Navigation' => 'list, show',
		'SearchWord' => 'list, show',
		'Form' => 'list, show',
                'Contact' => 'new, create',
		
	),
	// non-cacheable actions
	array(
                'Portal' => '',
		'Service' => 'toplist',
		'Building' => '',
		'Region' => '',
		'Employee' => '',
		'OfficeHours' => '',
		'Position' => '',
		'Organisation' => '',
		'Navigation' => '',
		'SearchWord' => '',
		'Form' => '',
                'Contact' => 'new,create',
		
	)
);

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['extbase']['commandControllers'][] = 'Wrm\Civserv2\Command\MigrationCommandController';

// Hook in order to modify default upload folder on a 'by table' basis
/*$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauthgroup.php']['getDefaultUploadFolder'][] = 'Wrm\Civserv2\Hooks\BackendUserAuthentication.php->getDefaultUploadFolder';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addUserTSConfig('
        options.defaultUploadFolder = 1:Civserv2
');*/

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/realurl/class.tx_realurl_autoconfgen.php']['extensionConfiguration'][$_EXTKEY] =
        'EXT:' . $_EXTKEY . '/Classes/Hooks/RealUrlAutoConfiguration.php:Wrm\Civserv2\Hooks\RealUrlAutoConfiguration->addExtConfig';

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processDatamapClass'][] = 'Wrm\Civserv2\Hooks\TceMain';
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processCmdmapClass'][] = 'Wrm\Civserv2\Hooks\TceMain';

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:'.$_EXTKEY.'/Configuration/TypoScript/config.ts">');