<?php
namespace Wrm\Civserv2\Controller;


/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * BuildingController
 */
class BuildingController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{

    /**
     * buildingRepository
     *
     * @var \Wrm\Civserv2\Domain\Repository\BuildingRepository
     * @inject
     */
    protected $buildingRepository = NULL;
    
    /**
     * action list
     *
     * @return void
     */
    public function listAction()
    {
        $buildings = $this->buildingRepository->findAll();
        $this->view->assign('buildings', $buildings);
    }
    
    /**
     * action show
     *
     * @param \Wrm\Civserv2\Domain\Model\Building $building
     * @return void
     */
    public function showAction(\Wrm\Civserv2\Domain\Model\Building $building)
    {
        $this->view->assign('building', $building);
    }

}