<?php

return array(
    'ctrl' => array(
        'title' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours',
        'label' => 'oh_name',
        'label_alt' => 'oh_descr,oh_start_morning,oh_end_morning,oh_start_afternoon,oh_end_afternoon',
        'label_alt_force' => TRUE,
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,
        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'default_sortby' => 'oh_name, oh_descr, oh_start_morning',
        
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'oh_descr,oh_name,oh_whole_day,oh_start_morning,oh_end_morning,oh_start_afternoon,oh_end_afternoon,oh_weekday,oh_manual_checkbox,oh_freestyle,',
        'iconfile' => 'EXT:civserv2/Resources/Public/Icons/tx_civserv2_domain_model_officehours.gif',
        'requestUpdate' => 'oh_whole_day'
    ),
    'interface' => array(
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, oh_descr, oh_name, oh_whole_day, oh_start_morning, oh_end_morning, oh_start_afternoon, oh_end_afternoon, oh_weekday, oh_manual_checkbox, oh_freestyle',
    ),
    'types' => array(
        '1' => array('showitem' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, --palette--;;1, oh_descr, oh_name, oh_whole_day, oh_start_morning, oh_end_morning, oh_start_afternoon, oh_end_afternoon, oh_weekday, oh_manual_checkbox, oh_freestyle, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, starttime, endtime'),
    ),
    'palettes' => array(
        '1' => array('showitem' => ''),
    ),
    'columns' => array(
        'sys_language_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => array(
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
                ),
            ),
        ),
        'l10n_parent' => array(
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_civserv2_domain_model_officehours',
                'foreign_table_where' => 'AND tx_civserv2_domain_model_officehours.pid=###CURRENT_PID### AND tx_civserv2_domain_model_officehours.sys_language_uid IN (-1,0)',
            ),
        ),
        'l10n_diffsource' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        't3ver_label' => array(
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            )
        ),
        'hidden' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'starttime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'endtime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'oh_descr' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.oh_descr',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'oh_name' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.oh_name',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'oh_whole_day' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.oh_whole_day',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'oh_start_morning' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.oh_start_morning',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    Array(" ", 0),
                    Array("07:00", "07:00"),
                    Array("07:30", "07:30"),
                    Array("08:00", "08:00"),
                    Array("08:30", "08:30"),
                    Array("09:00", "09:00"),
                    Array("09:30", "09:30"),
                    Array("10:00", "10:00"),
                    Array("10:30", "10:30"),
                    Array("11:00", "11:00"),
                    Array("11:30", "11:30"),
                    Array("12:00", "12:00"),
                    Array("12:30", "12:30"),
                    Array("13:00", "13:00"),
                ),
                'size' => 1,
                'maxitems' => 1,
                'eval' => 'required,time'
            ),
        ),
        'oh_end_morning' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.oh_end_morning',
            'displayCond' => 'FIELD:oh_whole_day:REQ:false',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    Array(" ", 0),
                    Array("07:00", "07:00"),
                    Array("07:30", "07:30"),
                    Array("08:00", "08:00"),
                    Array("08:30", "08:30"),
                    Array("09:00", "09:00"),
                    Array("09:30", "09:30"),
                    Array("10:00", "10:00"),
                    Array("10:30", "10:30"),
                    Array("11:00", "11:00"),
                    Array("11:30", "11:30"),
                    Array("12:00", "12:00"),
                    Array("12:15", "12:15"),
                    Array("12:30", "12:30"),
                    Array("13:00", "13:00"),
                    Array("13:30", "13:30"),
                    Array("14:00", "14:00"),
                ),
                'size' => 1,
                'maxitems' => 1,
                'eval' => 'required,time'
            ),
        ),
        'oh_start_afternoon' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.oh_start_afternoon',
            'displayCond' => 'FIELD:oh_whole_day:REQ:false',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    Array(" ", 0),
                    Array("13:00", "13:00"),
                    Array("13:30", "13:30"),
                    Array("14:00", "14:00"),
                    Array("14:30", "14:30"),
                    Array("15:00", "15:00"),
                    Array("15:30", "15:30"),
                    Array("16:00", "16:00"),
                    Array("16:30", "16:30"),
                    Array("17:00", "17:00"),
                    Array("17:30", "17:30"),
                    Array("18:00", "18:00"),
                    Array("18:30", "18:30"),
                    Array("19:00", "19:00"),
                    Array("19:30", "19:30"),
                    Array("20:00", "20:00"),
                    Array("20:30", "20:30"),
                    Array("21:00", "21:00"),
                ),
                'size' => 1,
                'maxitems' => 1,
                'eval' => 'required,time'
            ),
        ),
        'oh_end_afternoon' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.oh_end_afternoon',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    Array(" ", 0),
                    Array("13:00", "13:00"),
                    Array("13:30", "13:30"),
                    Array("14:00", "14:00"),
                    Array("14:30", "14:30"),
                    Array("15:00", "15:00"),
                    Array("15:30", "15:30"),
                    Array("16:00", "16:00"),
                    Array("16:30", "16:30"),
                    Array("17:00", "17:00"),
                    Array("17:30", "17:30"),
                    Array("18:00", "18:00"),
                    Array("18:30", "18:30"),
                    Array("19:00", "19:00"),
                    Array("19:30", "19:30"),
                    Array("20:00", "20:00"),
                    Array("20:30", "20:30"),
                    Array("21:00", "21:00"),
                    Array("21:30", "21:30"),
                    Array("22:00", "22:00"),
                ),
                'size' => 1,
                'maxitems' => 1,
                'eval' => 'required,time'
            ),
        ),
        'oh_weekday' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.oh_weekday',
            'config' => array(
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => array(
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_101", 101), // monday to friday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_102", 102), // monday to thursday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_103", 103), // monday to wednesday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_104", 104), // tuesday to saturday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_201", 201), // monday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_202", 202), // tuesday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_203", 203), // wednesday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_204", 204), // thursday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_205", 205), // friday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_206", 206), // saturday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_207", 207), // sunday
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_301", 301), // on bank holidays
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_302", 302), // saturdays and sundays
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_401", 401), // additionally
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_402", 402), // hint (hinweis)
                    Array("LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.weekday_403", 403), // weekday empty!!
                ),
                'size' => 1,
                'maxitems' => 1,
                'eval' => ''
            ),
        ),
        'oh_manual_checkbox' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.oh_manual_checkbox',
            'config' => array(
                'type' => 'check',
                'default' => 0
            )
        ),
        'oh_freestyle' => array(
            'label' => 'LLL:EXT:civserv2/Resources/Private/Language/locallang_db.xlf:tx_civserv2_domain_model_officehours.oh_freestyle',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
    ),
);
